/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file           : main.h
  * @brief          : Header for main.c file.
  *                   This file contains the common defines of the application.
  ******************************************************************************
  * @attention
  *
  * Copyright (c) 2023 STMicroelectronics.
  * All rights reserved.
  *
  * This software is licensed under terms that can be found in the LICENSE file
  * in the root directory of this software component.
  * If no LICENSE file comes with this software, it is provided AS-IS.
  *
  ******************************************************************************
  */
/* USER CODE END Header */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32l0xx_hal.h"

/* Private includes ----------------------------------------------------------*/
/* USER CODE BEGIN Includes */

/* USER CODE END Includes */

/* Exported types ------------------------------------------------------------*/
/* USER CODE BEGIN ET */

/* USER CODE END ET */

/* Exported constants --------------------------------------------------------*/
/* USER CODE BEGIN EC */

/* USER CODE END EC */

/* Exported macro ------------------------------------------------------------*/
/* USER CODE BEGIN EM */

/* USER CODE END EM */

void HAL_TIM_MspPostInit(TIM_HandleTypeDef *htim);

/* Exported functions prototypes ---------------------------------------------*/
void Error_Handler(void);

/* USER CODE BEGIN EFP */

/* USER CODE END EFP */

/* Private defines -----------------------------------------------------------*/
#define ADC_TEMP_Pin GPIO_PIN_0
#define ADC_TEMP_GPIO_Port GPIOA
#define VCP_TX_Pin GPIO_PIN_2
#define VCP_TX_GPIO_Port GPIOA
#define ENC2_Pin GPIO_PIN_3
#define ENC2_GPIO_Port GPIOA
#define ENC2_EXTI_IRQn EXTI2_3_IRQn
#define ENC1_Pin GPIO_PIN_0
#define ENC1_GPIO_Port GPIOB
#define ENC1_EXTI_IRQn EXTI0_1_IRQn
#define LED_Pin GPIO_PIN_1
#define LED_GPIO_Port GPIOB
#define PWM_HEATER_Pin GPIO_PIN_8
#define PWM_HEATER_GPIO_Port GPIOA
#define ENC_SW_Pin GPIO_PIN_9
#define ENC_SW_GPIO_Port GPIOA
#define DISPLAY_K3_Pin GPIO_PIN_11
#define DISPLAY_K3_GPIO_Port GPIOA
#define STANDBY_SW_Pin GPIO_PIN_12
#define STANDBY_SW_GPIO_Port GPIOA
#define TMS_Pin GPIO_PIN_13
#define TMS_GPIO_Port GPIOA
#define TCK_Pin GPIO_PIN_14
#define TCK_GPIO_Port GPIOA
#define VCP_RX_Pin GPIO_PIN_15
#define VCP_RX_GPIO_Port GPIOA
#define LED_BLUE_Pin GPIO_PIN_3
#define LED_BLUE_GPIO_Port GPIOB
#define DISPLAY_LATCH_Pin GPIO_PIN_4
#define DISPLAY_LATCH_GPIO_Port GPIOB
#define DISPLAY_K1_Pin GPIO_PIN_6
#define DISPLAY_K1_GPIO_Port GPIOB
#define DISPLAY_K2_Pin GPIO_PIN_7
#define DISPLAY_K2_GPIO_Port GPIOB

/* USER CODE BEGIN Private defines */

/* USER CODE END Private defines */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */
